Package com.independentsoft.graph.sites

# Class List

java.lang.Object
com.independentsoft.graph.sites.List

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class List extends Object implements ICreatable, IUpdatable
Represents a list in a SharePoint site in Microsoft Graph.

A List is a collection of `ListItem` resources, optionally backed by a document library. Its schema is defined by a set of column definitions and content types, and it can be a user-created list or a system-managed list.

Example usage:

     // Create a new list
     List list = new List();
     list.setDisplayName("Issues");
     list.setDescription("Tracks open issues");

Since:
  1.0
See Also:
  list resource type, `ListItem`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `List()`
  `List​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ColumnDefinition>`
  `getColumns()`
  `List<ContentType>`
  `getContentTypes()`
  `IdentitySet`
  `getCreatedBy()`
  `Date`
  `getCreatedTime()`
  `String`
  `getDescription()`
  `String`
  `getDisplayName()`
  `String`
  `getETag()`
  `String`
  `getId()`
  `ListInfo`
  `getInfo()`
  `List<ListItem>`
  `getItems()`
  `IdentitySet`
  `getLastModifiedBy()`
  `Date`
  `getLastModifiedTime()`
  `String`
  `getName()`
  `String`
  `getWebUrl()`
  `boolean`
  `isSystem()`
  `void`
  `setDescription​(String description)`
  `void`
  `setDisplayName​(String displayName)`
  `void`
  `setId​(String id)`
  `void`
  `setInfo​(ListInfo info)`
  `void`
  `setName​(String name)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toString()`
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### List

    public List()

  - ### List

    public List​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### setId

    public void setId​(String id)

  - ### getName

    public String getName()

  - ### setName

    public void setName​(String name)

  - ### getCreatedBy

    public IdentitySet getCreatedBy()

  - ### getCreatedTime

    public Date getCreatedTime()

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription​(String description)

  - ### getETag

    public String getETag()

  - ### getLastModifiedBy

    public IdentitySet getLastModifiedBy()

  - ### getLastModifiedTime

    public Date getLastModifiedTime()

  - ### getWebUrl

    public String getWebUrl()

  - ### getColumns

    public List<ColumnDefinition> getColumns()

  - ### getContentTypes

    public List<ContentType> getContentTypes()

  - ### getDisplayName

    public String getDisplayName()

  - ### setDisplayName

    public void setDisplayName​(String displayName)

  - ### getInfo

    public ListInfo getInfo()

  - ### setInfo

    public void setInfo​(ListInfo info)

  - ### isSystem

    public boolean isSystem()

  - ### getItems

    public List<ListItem> getItems()